#include <iostream>

using namespace std;

int main()
{
    int T;

    cin >> T;

    for(int i = 0; i < T; i++)
    {
        int N, M, K;

        cin >> N >> M >> K;

        int brojClanovaPoGrupi = N / K;

        for (int j = 0; j < K - 1; j++)
        {
            for (int k = 1; k <= brojClanovaPoGrupi; k++)
            {
                M -= k;
            }
        }

        if (N % K != 0)
        {
            for (int k = 1; k <= brojClanovaPoGrupi + 1; k++)
            {
                M -= k;
            }
        }
        else
        {
            for (int k = 1; k <= brojClanovaPoGrupi; k++)
            {
                M -= k;
            }
        }

        if (M < 0)
        {
            cout << "Nie" << endl;
        }
        else
        {
            cout << "Tak" << endl;
        }
    }
}